Package com.sun.grid.util.expect

# Interface ExpectHandler

All Known Implementing Classes:
  `ExpectPasswordHandler`, `ExpectStringHandler`

public interface ExpectHandler
Basic Interface for all expect handlers. The `handle` is called every time when new output has been received from stdout or stderror of the process.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Expect expect, ExpectBuffer buffer)`
Handle new output of the process and be send a reply.

## Method Details

### handle

void handle(Expect expect, ExpectBuffer buffer) throws IOException
Handle new output of the process and be send a reply.

Parameters:
  `expect` - the expect object which calls this handler
  `buffer` - the buffer with the output of the process
Throws:
  `IOException`
See Also:
  - `Expect.print(java.lang.String)`